Loading...
Searching...
No Matches
draw.c File Reference

GRASS PNG display driver. More...

`#include <grass/gis.h>`
`#include "driverlib.h"`
`#include "path.h"`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/draw.c:

Go to the source code of this file.

## Functions

void | PNG_Begin (void)
void | PNG_Move (double x, double y)
void | PNG_Cont (double x, double y)
void | PNG_Close (void)
void | PNG_Stroke (void)
void | PNG_Fill (void)

## Detailed Description

GRASS PNG display driver.

(C) 2008 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file pngdriver/draw.c.

## Function Documentation

## PNG_Begin()

void PNG_Begin | ( | void |  | ) |

Definition at line 21 of file pngdriver/draw.c.

References path_begin().

Referenced by PNG_Driver().

## PNG_Close()

void PNG_Close | ( | void |  | ) |

Definition at line 36 of file pngdriver/draw.c.

References path_close().

Referenced by PNG_Driver().

## PNG_Cont()

void PNG_Cont | ( | double | x,
|  | double | y )

Definition at line 31 of file pngdriver/draw.c.

References path_cont(), and x.

Referenced by PNG_Driver().

## PNG_Fill()

void PNG_Fill | ( | void |  | ) |

Definition at line 46 of file pngdriver/draw.c.

References png_polygon().

Referenced by PNG_Driver().

## PNG_Move()

void PNG_Move | ( | double | x,
|  | double | y )

Definition at line 26 of file pngdriver/draw.c.

References path_move(), and x.

Referenced by PNG_Driver().

## PNG_Stroke()

void PNG_Stroke | ( | void |  | ) |

Definition at line 41 of file pngdriver/draw.c.

References path_stroke(), and png_draw_line().

Referenced by PNG_Driver().